Skip to content

Create event ​

POST
/v1/events

Create event

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Request Body​

application/json
JSON
{
  
"event_startdate": "2026-09-15T19:30:00",
  
"event_stopdate": "2026-09-15T21:15:00",
  
"event_name": "Team A vs Team B",
  
"event_status": "notstarted",
  
"tournament_id": "6652b082b6d64e92af2794fb1e352e86_trn",
  
"venue_id": "7552e5ca74124757be3f4b0dc1687aa9_vnx",
  
"date_confirmed": true,
  
"sales_periods": [
  
  
"string"
  
],
  
"external_event_id": "1bd7a5f6c9a34b2284de90f87a65c3d2_ext",
  
"sport_type": "soccer",
  
"hometeam_id": "3eae14a18975444a8af9d35f4e978f0e_tms",
  
"visiting_id": "12c3564d227044f4a22ea29b3fe806fa_tms",
  
"is_popular": false,
  
"main_event_startdate": "2026-09-15T19:30:00",
  
"main_event_stopdate": "2026-09-15T21:15:00",
  
"event_description": "Description of the event",
  
"date_visibility": "show_datetime"
}

Responses​

Created

application/json
JSON
{
  
"event_id": "5d3b8b1c916f4a158dc736dc8ef7c97a_evt",
  
"event_name": "Arsenal FC vs Luton Town",
  
"date_start": "2026-09-15T19:30:00",
  
"date_stop": "2026-09-15T21:15:00",
  
"event_status": "soldout",
  
"tournament_id": "6652b082b6d64e92af2794fb1e352e86_trn",
  
"tournament_name": "Premier League",
  
"venue_id": "7552e5ca74124757be3f4b0dc1687aa9_vnx",
  
"venue_name": "Emirates Stadium",
  
"location_id": "2326aaa6494c401ba94e8bf9c0b5de44_ddr",
  
"city": "London",
  
"iso_country": "GBR",
  
"latitude": "51.555",
  
"longitude": "-0.108611",
  
"sport_type": "soccer",
  
"season": "25/26",
  
"tournament_type": "league",
  
"date_confirmed": true,
  
"date_start_main_event": "2026-09-15T19:30:00+00:00",
  
"date_stop_main_event": "2026-09-15T21:15:00+00:00",
  
"hometeam_id": "3eae14a18975444a8af9d35f4e978f0e_tms",
  
"hometeam_name": "Arsenal FC",
  
"visiting_id": "12c3564d227044f4a22ea29b3fe806fa_tms",
  
"visiting_name": "Luton Town",
  
"created": "2026-09-01T07:08:25",
  
"updated": "2026-09-01T00:30:31",
  
"event_description": "Top of the table clash in London.",
  
"min_ticket_price_eur": 50,
  
"max_ticket_price_eur": 150,
  
"slug": "premier-league-arsenal-fc-vs-luton-town-2324-5d3b8",
  
"number_of_tickets": 50000,
  
"sales_periods": [
  
  
"string"
  
],
  
"is_popular": true,
  
"date_visibility": "show_datetime"
}

Playground​

Server
Authorization
Body

Samples​